> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/core/page-manipulation/crop.md).

# Cropping PDF pages on Server/Desktop

Learn how to crop a page in a PDF document with ease. Understand the significance of the crop box and how it affects the display and printing of your content. Enhance your PDF editing skills today! Th

{% hint style="info" %}
**Requirements**

Packages are required for production license. Trial keys have unlimited access to all features.

Demo showcases functionality using WebViewer UI.

<a href="https://apryse.com/capabilities#PageManipulation" class="button primary">Package: Page Manipulation</a><a href="https://showcase.apryse.com/create-thumbnail" class="button primary">Live demo</a>
{% endhint %}

To crop a page in a PDF document.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
PDFDoc doc = new PDFDoc(filename);

// Access a PDF page
Page page = doc.GetPage(page_num);

// Crop the page
page.SetCropBox(new Rect(0, 0, 500, 600));
```

{% endcode %}
{% endtab %}

{% tab title="C++" %}
{% code lineNumbers="true" %}

```cpp
PDFDoc doc(filename);

// Access a PDF page
Page page = doc.GetPage(1);

// Crop the page
page.SetCropBox(Rect(0, 0, 500, 600));
```

{% endcode %}
{% endtab %}

{% tab title="Go" %}
{% code lineNumbers="true" %}

```go
doc := NewPDFDoc(filename)

// Access a PDF page
page := doc.GetPage(1)

// Crop the page
page.SetCropBox(NewRect(0, 0, 500.0, 600.0))
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
PDFDoc doc = new PDFDoc(filename);

// Access a PDF page
Page page = doc.getPage(1);

// Crop the page
page.setCropBox(new Rect(0, 0, 500, 600));
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
async function main() {
  const doc = await PDFNet.PDFDoc.createFromURL(filename);

  // Access a PDF page
  const page = await doc.getPage(1);

  // Crop the page
  page.setCropBox(new PDFNet.Rect(0, 0, 500, 600));
}
PDFNet.runWithCleanup(main);
```

{% endcode %}
{% endtab %}

{% tab title="Kotlin" %}
{% code lineNumbers="true" %}

```kotlin
val doc = PDFDoc(filename)

// Access a PDF page
val page = doc.getPage(1)

// Crop the page
page.setCropBox(Rect(0, 0, 500, 600));
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
PTPDFDoc *doc = [[PTPDFDoc alloc] initWithFilepath: filename];

// Access a PDF page
PTPage *page = [doc GetPage:1];

// Crop the page
[page SetCropBox: [[PTPDFRect alloc] initWithX1:0 y1:0 x2:500 y2:600]];
```

{% endcode %}
{% endtab %}

{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
let doc: PTPDFDoc = PTPDFDoc(filepath: filename)

// Access a PDF page
let page: PTPage = doc.getPage(1)

// Crop the page
page.setCropBox(PTPDFRect(x1: 0, y1: 0, x2: 500, y2: 600))
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code lineNumbers="true" %}

```php
$doc = new PDFDoc($filename);

// Access a PDF page
$page = $doc->GetPage(1);

// Crop the page
$page->SetCropBox(new Rect(0, 0, 500, 600))
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
doc = PDFDoc(filename)

# Access a PDF page
page = doc.GetPage(1)

# Crop the page
page.SetCropBox(Rect(0, 0, 500, 600))
```

{% endcode %}
{% endtab %}

{% tab title="Ruby" %}
{% code lineNumbers="true" %}

```ruby
doc = PDFDoc.new(filename)

# Access a PDF page
page = doc.GetPage(1)

# Crop the page
page.SetCropBox(Rect.new(0, 0, 500, 600))
```

{% endcode %}
{% endtab %}

{% tab title="VB" %}
{% code lineNumbers="true" %}

```vb
Dim doc4 As PDFDoc = New PDFDoc(filename)

' Access a PDF page
Dim page As Page = doc.GetPage(1)

' Crop the page
page.SetCropBox(New Rect(0, 0, 500, 600))
```

{% endcode %}
{% endtab %}
{% endtabs %}

## About cropping the page

The crop box defines the region to which the contents of the page are to be clipped (cropped) when displayed or printed. Unlike other types of boxes, the crop box has no defined meaning in terms of physical page geometry or intended use; it merely imposes clipping on the page contents. The default value is the page's media box. A new crop box can be imposed on a page with `Page.SetCropBox()`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/core/page-manipulation/crop.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
